## cantor 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "80")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(cantor VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.3.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(KDEClangFormat)
include(GenerateExportHeader)
include(FeatureSummary)

set( SharedMimeInfo_MINIMUM_VERSION "1.3" ) #TODO: What is the minimum required version?
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

option(BUILD_DOC "Whether to build the documentation" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    Test
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    NewStuffCore
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    SyntaxHighlighting
    TextWidgets
    KIO
    XmlGui
    I18n
)

find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)

option(ENABLE_EMBEDDED_DOCUMENTATION "Enable the emedded documentation depending on QtHelp and QtWebEngine" ON)
if (ENABLE_EMBEDDED_DOCUMENTATION)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
        Help
        WebEngineCore
        WebEngineWidgets
    )
    add_definitions (-DHAVE_EMBEDDED_DOCUMENTATION)
endif ()

if (BUILD_DOC)
    find_package(KF6DocTools ${KF_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
endif ()

find_package(Poppler "22.02.0" COMPONENTS Qt6)

option(USE_LIBSPECTRE "Use libspectre library" ON)

add_subdirectory(thirdparty)
# Need to set this here, because variable can't move from subdirectory (thirdparty) to upper cmake scope
set(Discount_FOUND TRUE)

if(NOT WIN32 AND USE_LIBSPECTRE)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "https://www.freedesktop.org/wiki/Software/libspectre/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LIBSPECTRE_FOUND)
        set(WITH_EPS On)
    else(LIBSPECTRE_FOUND)
        set(WITH_EPS Off)
    endif(LIBSPECTRE_FOUND)

else()
    set(WITH_EPS Off)
endif()

#[[
find_package(Discount 2.2.0)
set_package_properties(Discount PROPERTIES DESCRIPTION "A C implementation of the Markdown markup language"
    URL "https://www.pell.portland.or.us/~orc/Code/discount/"
    TYPE OPTIONAL
    PURPOSE "Used for Markdown entries in Cantor")
]]#

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
if (NOT WIN32)
    # Strict iterators can't be used on Windows, they lead to a link error
    # when application code iterates over a QVector<QPoint> for instance, unless
    # Qt itself was also built with strict iterators.
    # See example at https://bugreports.qt.io/browse/AUTOSUITE-946
    add_definitions(-DQT_STRICT_ITERATORS)
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

   # both gcc & clang support it since the same version
   if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 5.0.0)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant" )
   endif()
endif()

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG_OUTPUT")

kde_enable_exceptions()

# FIXME Looks like docbook on Windows isn't buildable at all, so it is temporarily disabled
if(NOT WIN32 AND BUILD_DOC)
    add_subdirectory(doc)
endif()
add_subdirectory(src)
add_subdirectory(icons)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Cantor")
configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/CantorConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}/
    #PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX CANTOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/cantor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake"
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT CantorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE CantorTargets.cmake
    NAMESPACE Cantor::
)


ki18n_install(po)
if (BUILD_DOC)
    kdoctools_install(po)
endif ()
install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/scripteditor/CMakeLists.txt ===
set( scripteditor_SRCS
    main.cpp
    scripteditorwidget.cpp

    scripteditor.qrc
)

add_executable( cantor_scripteditor ${scripteditor_SRCS} )

target_link_libraries(cantor_scripteditor KF6::TextEditor KF6::I18n)

install(TARGETS cantor_scripteditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/assistants/differentiate/CMakeLists.txt ===
set( DifferentiateAssistant_SRCS
     differentiateassistant.cpp
     differentiateassistant.qrc
)

ki18n_wrap_ui(DifferentiateAssistant_SRCS differentiatedlg.ui)

add_assistant(differentiateassistant ${DifferentiateAssistant_SRCS})

=== debian/changelog ===
cantor (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:52:34 +0000

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.13~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libanalitza-dev (>= 4:25.11.80~),
               libcups2-dev,
               libkf6archive-dev (>= 6.3.0~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6syntaxhighlighting-dev (>= 6.3.0~),
               libkf6texteditor-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el riscv64 s390x],
               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
               libpython3-dev,
               libqalculate-dev,
               libspectre-dev,
               libxml2-dev,
               libxslt1-dev,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
               r-base-core,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://cantor.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: cantor-backend-qalculate,
            texlive-plain-generic,
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [amd64 arm64 armel armhf i386 mips64el riscv64 s390x],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 ppc64el s390x],
          apparmor
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: libcantorlibs28abi2
X-Debian-ABI: 2
X-CMake-Target: cantorlibs
Architecture: any
Multi-Arch: same
Section: libs
Depends: libcantorlibs-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: interface for mathematical applications - shared library
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the shared library for Cantor.
 .
 This package is part of the KDE education module.

Package: libcantorlibs-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends},
Replaces: libcantorlibs28 (<< 4:22.04.1-1~),
Breaks: libcantorlibs28 (<< 4:22.04.1-1~),
Description: interface for mathematical applications - data for shared library
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the data for the shared library for Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-dev
Architecture: any
Section: libdevel
Depends: libcantorlibs28abi2 (=  ${binary:Version}),
         ${misc:Depends},
Description: interface for mathematical applications - development files
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the development headers for Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (https://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (https://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends},
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends},
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (https://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: python3, ${misc:Depends}, ${shlibs:Depends},
Breaks: libcantor-pythonbackend (<< 4:20.04.2~),
Replaces: libcantor-pythonbackend (<< 4:20.04.2~),
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (https://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: qalc,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (https://qalculate.github.io/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends},
Suggests: r-base-html,
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (https://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: sagemath,
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (https://www.sagemath.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends},
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (https://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages) cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

include /usr/share/dpkg/architecture.mk

webengine_archs = amd64 arm64 armhf i386

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DENABLE_EMBEDDED_DOCUMENTATION=$(if $(filter $(DEB_HOST_ARCH), $(webengine_archs)),ON,OFF)

override_dh_auto_build:
	# manually export CFLAGS with CPPFLAGS during build, because:
	# - ExternalProject is used, so cmake is run to configure discount
	# - cmake doesn't respect CPPFLAGS, see #653916
	CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" dh_auto_build

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

override_dh_auto_install:
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/cantor-apparmor debian/tmp/etc/apparmor.d/usr.bin.cantor
	dh_auto_install
	dh_apparmor --profile-name=usr.bin.cantor -pcantor

## cantor 25.11.90

=== debian/changelog ===
cantor (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:04 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libanalitza-dev (>= 4:25.11.80~),
+               libanalitza-dev (>= 4:25.11.90~),
                libcups2-dev,
                libkf6archive-dev (>= 6.3.0~),
                libkf6completion-dev (>= 6.3.0~),

## cantor 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:02 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libanalitza-dev (>= 4:25.11.90~),
+               libanalitza-dev (>= 4:25.12.0~),
                libcups2-dev,
                libkf6archive-dev (>= 6.3.0~),
                libkf6completion-dev (>= 6.3.0~),

## cantor 25.12.0+p24.04+vunstable+git20251208.2207

=== debian/changelog ===
cantor (4:25.12.0+p24.04+vunstable+git20251208.2207-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:07:38 +0000

cantor (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:23 +1000

## cantor 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:33:08 +0000

cantor (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:43:03 +0000

cantor (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:21 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libanalitza-dev (>= 4:25.12.0~),
+               libanalitza-dev (>= 4:25.12.1~),
                libcups2-dev,
                libkf6archive-dev (>= 6.3.0~),
                libkf6completion-dev (>= 6.3.0~),
@@ -151,7 +151,7 @@
  This package is part of the KDE education module.
 
 Package: cantor-backend-lua
-Architecture: amd64 i386
+Architecture: amd64 amd64v3 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Lua backend for Cantor
@@ -263,7 +263,7 @@
  This package is part of the KDE education module.
 
 Package: cantor-backend-scilab
-Architecture: amd64 arm64 ppc64el s390x
+Architecture: amd64 amd64v3 arm64 ppc64el s390x
 Section: math
 Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends},
 Description: Scilab backend for Cantor

## cantor 25.12.1+p24.04+vstable+git20260107.0107

=== debian/changelog ===
cantor (4:25.12.1+p24.04+vstable+git20260107.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:07:19 +0000

cantor (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:36 +1000

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libanalitza-dev,
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libmarkdown2-dev,
               libpoppler-qt6-dev,
               libqalculate-dev,
               libspectre-dev,
               libxslt1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               python3-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               r-base-core
Standards-Version: 4.6.2
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/cantor.git
Vcs-Browser: https://invent.kde.org/neon/kde/cantor
Maintainer: Neon CI <neon@kde.org>

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: texlive-binaries, texlive-latex-base
Breaks: cantor-backend-kalgebra (<< 4:24.12.0),
        cantor-backend-lua (<< 4:24.12.0),
        cantor-backend-maxima (<< 4:24.12.0),
        cantor-backend-octave (<< 4:24.12.0),
        cantor-backend-python (<< 4:24.12.0),
        cantor-backend-python2 (<< 4:24.12.0),
        cantor-backend-python3 (<< 4:24.12.0),
        cantor-backend-qalculate (<< 4:24.12.0),
        cantor-backend-r (<< 4:24.12.0),
        cantor-backend-sage (<< 4:24.12.0),
        cantor-backend-scilab (<< 4:24.12.0),
        libcantor-pythonbackend (<< 4:24.12.0),
        libcantorlibs24 (<< 4:24.12.0),
        libcantorlibs25 (<< 4:24.12.0),
        libcantorlibs26 (<< 4:24.12.0),
        libcantorlibs27 (<< 4:24.12.0),
        libcantorlibs28 (<< 4:24.12.0)
Replaces: cantor-backend-kalgebra,
          cantor-backend-lua,
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python,
          cantor-backend-python2,
          cantor-backend-python3,
          cantor-backend-qalculate,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab,
          libcantor-pythonbackend,
          libcantorlibs24,
          libcantorlibs25,
          libcantorlibs26,
          libcantorlibs27,
          libcantorlibs28
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends:
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-dev
Architecture: any
Section: math
Depends: cantor, ${misc:Depends}
Breaks: libcantor-dev (<< 4:24.12.0), libcantorlibs-dev (<< 4:24.12.0)
Replaces: libcantor-dev (<< 4:24.12.0), libcantorlibs-dev (<< 4:24.12.0)
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 These are the cantor development files and libraries.
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-lua
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-maxima
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-octave
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-python
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-python2
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-python3
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-qalculate
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-r
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-sage
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: cantor-backend-scilab
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantor-dev
Architecture: all
Depends: cantor-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantor-pythonbackend
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantorlibs-dev
Architecture: all
Depends: cantor-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantorlibs24
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantorlibs25
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantorlibs26
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantorlibs27
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libcantorlibs28
Architecture: all
Depends: cantor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## cantor 25.12.1+p24.04+vstable+git20260127.1031

=== debian/changelog ===
cantor (4:25.12.1+p24.04+vstable+git20260127.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:31:20 +0000

## cantor 25.12.1+p24.04+vstable+git20260130.1117

=== debian/changelog ===
cantor (4:25.12.1+p24.04+vstable+git20260130.1117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:17:14 +0000
